Otc
Over-the-counter Transaction Record V2
(openId, userId, mobileNumber, email) One of the four must be provided.
POST
/
platformapi
/
chainup
/
open
/
user
/
v2
/
otcTradeRecord
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/v2/otcTradeRecord
{
"code": "0",
"msg": "Success",
"message": null,
"data": [
{
"sidCid": 1006,
"totalPrice": "1.0000000000000000",
"payTime": null,
"advert": {
"id": 2020202,
"userId": 20202022,
"status": 1,
"side": "SELL",
"coin": "XFNH",
"country": "",
"paycoin": "CNY",
"payment": "otc.payment.wxpay",
"bankname": "",
"priceRate": 0E-16,
"priceRateType": 0,
"price": 4.0000000000000000,
"volume": 50.0000000000000000,
"feeRate": 0.0100000000000000,
"minTrade": 1.0000000000000000,
"maxTrade": 2.0000000000000000,
"beginDate": 1692115200000,
"endDate": 1694707200000,
"limitTime": 15,
"terms": "",
"description": "123",
"authType": "",
"minvolume": 0E-16,
"sell": 0E-16,
"beginTime": 60,
"endTime": 86340,
"ctime": 1692175383000,
"personalFeeDiscount": 1.0000000000000000,
"dealVolume": 0,
"muid": 0,
"mtime": -62107027200000,
"autoReply": "zytest",
"openType": "CUSTOM",
"numberCode": "4",
"companyId": 1006,
"isBlockTrade": 0,
"lastPrice": 0E-16,
"initMaxTrade": 2.0000000000000000
},
"buyerId": 2222020,
"adsOwner": 20202002,
"adsId": 412506,
"buyerComment": "",
"sellerComment": "",
"buyerCommentGrade": 0,
"payCoin": "CNY",
"volume": "0.250000000000",
"bidCid": 1006,
"sequence": "202308291576865",
"feeAmount": null,
"sellerCommnetGrade": 0,
"coinSymbol": "XFNH",
"sellerId": 23692107,
"createTime": 1693279508000,
"price": "4.0000000000000000",
"id": 1576865,
"status": 4,
"isBlockTrade": 0
}
]
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
openId
string
openId, userId must pass one, while passing, take openId
userId
string
openId, userId must pass one, while passing, take openId
mobileNumber
string
Cell phone number
Example: 09011223
email
string
User email(openId,userId,mobileNumber,email)Four choices are required.
Example: xxx@xxx.com
page
string
Default= 1 .
Example: 1
pageNumber
string
Default 1000 entries.
Example: 1000
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
startTime
string
Start time
Example: 1690879504000
endTime
string
End time
Example: 1690879504000
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
message
string
Message
Example: null
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/v2/otcTradeRecord
{
"code": "0",
"msg": "Success",
"message": null,
"data": [
{
"sidCid": 1006,
"totalPrice": "1.0000000000000000",
"payTime": null,
"advert": {
"id": 2020202,
"userId": 20202022,
"status": 1,
"side": "SELL",
"coin": "XFNH",
"country": "",
"paycoin": "CNY",
"payment": "otc.payment.wxpay",
"bankname": "",
"priceRate": 0E-16,
"priceRateType": 0,
"price": 4.0000000000000000,
"volume": 50.0000000000000000,
"feeRate": 0.0100000000000000,
"minTrade": 1.0000000000000000,
"maxTrade": 2.0000000000000000,
"beginDate": 1692115200000,
"endDate": 1694707200000,
"limitTime": 15,
"terms": "",
"description": "123",
"authType": "",
"minvolume": 0E-16,
"sell": 0E-16,
"beginTime": 60,
"endTime": 86340,
"ctime": 1692175383000,
"personalFeeDiscount": 1.0000000000000000,
"dealVolume": 0,
"muid": 0,
"mtime": -62107027200000,
"autoReply": "zytest",
"openType": "CUSTOM",
"numberCode": "4",
"companyId": 1006,
"isBlockTrade": 0,
"lastPrice": 0E-16,
"initMaxTrade": 2.0000000000000000
},
"buyerId": 2222020,
"adsOwner": 20202002,
"adsId": 412506,
"buyerComment": "",
"sellerComment": "",
"buyerCommentGrade": 0,
"payCoin": "CNY",
"volume": "0.250000000000",
"bidCid": 1006,
"sequence": "202308291576865",
"feeAmount": null,
"sellerCommnetGrade": 0,
"coinSymbol": "XFNH",
"sellerId": 23692107,
"createTime": 1693279508000,
"price": "4.0000000000000000",
"id": 1576865,
"status": 4,
"isBlockTrade": 0
}
]
}